Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.entities.mapper.relation.lazy.proxy
Class MapProxy<K,V>

    java.lang.Object
      org.hibernate.envers.entities.mapper.relation.lazy.proxy.MapProxy<K,V>

All Implemented Interfaces:
  Serializable, Map<K,V>

    public class MapProxy<K,V>

extends Object
implements Map<K,V>, Serializable

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`Map.Entry<K,V>`

Field Summary
`protected Map<K,V>` | `delegate`

Constructor Summary
`MapProxy()`
`MapProxy(Initializor<Map<K,V>> initializor)`

Method Summary
`void` | `clear()`
`boolean` | `containsKey(Object o)`
`boolean` | `containsValue(Object o)`
`Set<Map.Entry<K,V>>` | `entrySet()`
`boolean` | `equals(Object obj)`
`V` | `get(Object o)`
`int` | `hashCode()`
`boolean` | `isEmpty()`
`Set<K>` | `keySet()`
`V` | `put(K k, V v)`
`void` | `putAll(Map<? extends K,? extends V> map)`
`V` | `remove(Object o)`
`int` | `size()`
`String` | `toString()`
`Collection<V>` | `values()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### delegate

    protected Map<K,V> delegate

Constructor Detail

### MapProxy

    public MapProxy()

### MapProxy

    public MapProxy(Initializor<Map<K,V>> initializor)

Method Detail

### size

    public int size()

  Specified by:
    `size` in interface `Map<K,V>`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `Map<K,V>`

### containsKey

    public boolean containsKey(Object o)

  Specified by:
    `containsKey` in interface `Map<K,V>`

### containsValue

    public boolean containsValue(Object o)

  Specified by:
    `containsValue` in interface `Map<K,V>`

### get

    public V get(Object o)

  Specified by:
    `get` in interface `Map<K,V>`

### put

    public V put(K k,
                 V v)

  Specified by:
    `put` in interface `Map<K,V>`

### remove

    public V remove(Object o)

  Specified by:
    `remove` in interface `Map<K,V>`

### putAll

    public void putAll(Map<? extends K,? extends V> map)

  Specified by:
    `putAll` in interface `Map<K,V>`

### clear

    public void clear()

  Specified by:
    `clear` in interface `Map<K,V>`

### keySet

    public Set<K> keySet()

  Specified by:
    `keySet` in interface `Map<K,V>`

### values

    public Collection<V> values()

  Specified by:
    `values` in interface `Map<K,V>`

### entrySet

    public Set<Map.Entry<K,V>> entrySet()

  Specified by:
    `entrySet` in interface `Map<K,V>`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### equals

    public boolean equals(Object obj)

  Specified by:
    `equals` in interface `Map<K,V>`
  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `Map<K,V>`
  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.